Name: kdebase4
Summary: K Desktop Environment
Version: 4.1.2
Release: %mkrel 4
Epoch: 1
Group: Graphical desktop/KDE
License: GPL
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdebase-%version.tar.bz2
Patch0: kdebase-4.0.84-fix-menu-entries.patch
Patch1: kdebase-4.1.1-konqueror_dnd_fix.patch
Patch2: kdebase-testing-4.1.1-fix-konqueror-sidebar-rename.patch
# Patch from Trunk
Patch100: kdebase-backport-4.2-fix-konsole-command-quotes.patch
BuildRequires: kde4-macros
BuildRequires: cmake
BuildRequires: kdelibs4-devel >= 4.0.85
BuildRequires: kdebase4-workspace-devel >= 4.0.85
BuildRequires: kdepimlibs4-devel >= 4.0.85
BuildRequires: strigi-devel
BuildRequires: soprano-devel >= 2.0.98
BuildRequires: fontconfig-devel >= 2.1-9mdk
BuildRequires: pam-devel
BuildRequires: freetype2-devel
BuildRequires: libsasl-devel
BuildRequires: openldap-devel
BuildRequires: avahi-compat-libdns_sd-devel
BuildRequires: avahi-client-devel
BuildRequires: libsmbclient-devel > 3.0
BuildRequires: libieee1284-devel
BuildRequires: OpenEXR-devel
BuildRequires: hal-devel
BuildRequires: libusb-devel
BuildRequires: libxml2-utils
BuildRequires: X11-devel
BuildRequires: GL-devel
BuildRequires: bdftopcf
BuildRequires: imake
BuildRequires: libraw1394-devel
BuildRequires: libxklavier-devel
BuildRequires: lua-devel
BuildRequires: resmgr-devel
BuildRequires: bluez-devel
BuildRequires: boost-devel
BuildRequires: xrdb
BuildRequires: qimageblitz-devel
BuildRequires: pciutils-devel
BuildRequires: webkitkde-devel
Requires: kdebase4-runtime
Requires: kappfinder
Requires: konsole
Requires: dolphin
Requires: kdepasswd
Requires: kde4-nsplugins
Requires: kwrite
Requires: konqueror
Requires: keditbookmarks
Requires: kfind
Requires: kdialog
Requires: kinfocenter
Requires: plasma-applet-folderview
BuildRoot: %_tmppath/%name-%version-%release-root

%description
This meta package requires all base kdebase 4 packages.

%files
%doc README

#-----------------------------------------------------------------------------

%package -n konsole
Summary: A shell program similar to xterm for KDE
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Provides: konsole4
Obsoletes: kdebase4-konsole < 1:3.93.0-0.714129.2
Obsoletes: kde4-konsole < 1:4.0.68
Provides: kde4-konsole = %epoch:%version
Requires: x11-font-misc-misc
%if %mdkversion > 200810
Conflicts: kdebase-konsole < 1:3.5.9-38
%endif

%description -n konsole
A shell program similar to xterm for KDE

%files -n konsole
%defattr(-,root,root)
%_kde_bindir/konsole
%_kde_bindir/konsoleprofile
%_kde_libdir/kde4/kded_kwrited.so
%_kde_libdir/kde4/libkonsolepart.so
%_kde_libdir/libkdeinit4_konsole.so
%_kde_datadir/applications/kde4/konsole.desktop
%_kde_appsdir/konsole
%_kde_datadir/kde4/services/kded/kwrited.desktop
%_kde_datadir/kde4/services/konsolepart.desktop
%_kde_datadir/kde4/servicetypes/terminalemulator.desktop
%_kde_datadir/kde4/services/ServiceMenus/konsolehere.desktop
%_kde_docdir/*/*/konsole

#------------------------------------------------

%define dolphinprivate_major 4
%define libdolphinprivate %mklibname dolphinprivate %dolphinprivate_major

%package -n %libdolphinprivate
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}dolphinprivate5 < 1:3.93.0-0.714129.2
Obsoletes: %{_lib}dolphinprivate1 < 1:4.0.83-6

%description -n %libdolphinprivate
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libdolphinprivate -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libdolphinprivate -p /sbin/ldconfig
%endif

%files -n %libdolphinprivate
%defattr(-,root,root)
%_kde_libdir/libdolphinprivate.so.%{dolphinprivate_major}*

#-----------------------------------------------------------------------------

%package -n dolphin
Summary: File manager for KDE focusing on usability
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Requires: kfind
Provides: dolphin4
Conflicts: kdebase4-workspace < 1:3.93.0
Conflicts: kdebase4 < 1:4.1.0-4
Obsoletes: kde4-dolphin < 1:4.0.68
Provides: kde4-dolphin = %epoch:%version

%description -n dolphin
Dolphin is a file manager for KDE focusing on usability.
The main features of Dolphin are:
- Navigation bar for URLs, which allows to navigate quickly
     through the file hierarchy.
- View properties are remembered for each folder.
- Split of views is supported.
- Network transparency.
- Undo/redo functionality.
- Renaming of a variable number of selected items in one step.

Dolphin is not intended to be a competitor to Konqueror: Konqueror
acts as universal viewer being able to show HTML pages, text documents,
directories and a lot more, whereas Dolphin focuses on being only a file
manager. This approach allows to optimize the user interface for the task
of file management.

%files -n dolphin
%defattr(-,root,root)
%_kde_bindir/dolphin
%_kde_bindir/keditfiletype
%_kde_datadir/applications/kde4/dolphin.desktop
%_kde_datadir/kde4/services/dolphinpart.desktop
%_kde_datadir/kde4/services/kcmdolphin.desktop
%_kde_datadir/kde4/services/filetypes.desktop
%_kde_datadir/config.kcfg/dolphin_*
%_kde_libdir/kde4/dolphinpart.so
%_kde_libdir/kde4/kcm_dolphin.so
%_kde_libdir/kde4/kcm_filetypes.so
%_kde_appsdir/dolphinpart/dolphinpart.rc
%_kde_appsdir/dolphin
%_kde_docdir/*/*/dolphin

#-----------------------------------------------------------------------------

%package -n kappfinder
Summary:    Utility to search and update the list of installed applications
Group:      Graphical desktop/KDE
Requires:   kdebase4-runtime
Obsoletes:  kde4-kappfinder < 1:4.0.68
Provides:   kde4-kappfinder = %epoch:%version
%if %mdkversion > 200810
Conflicts:  kdemultimedia-common < 1:3.5.9-4
Conflicts:  kdebase-common < 1:3.5.9-38
Conflicts:  kdebase-progs < 1:3.5.9-38
%endif

%description -n kappfinder
Utility to search and update the list of installed applications

%files -n kappfinder
%defattr(-,root,root)
%_kde_bindir/kappfinder
%_kde_datadir/applications/kde4/kappfinder.desktop
%_kde_appsdir/kappfinder
%_kde_iconsdir/*/*/*/*
%exclude %_kde_iconsdir/*/*/*/konqueror.*
%exclude %_kde_iconsdir/*/*/*/kfind.*

#-----------------------------------------------------------------------------

%package -n kinfocenter
Summary:    Kinfocenter
Group:      Graphical desktop/KDE
Requires:   kdebase4-runtime
Provides:   kinfocenter4
Conflicts:  kdebase4-runtime < 1:4.0.68
Conflicts:  kdebase4-workspace < 1:4.0.2-1
Obsoletes: kde4-kinfocenter < 1:4.0.68
Provides: kde4-kinfocenter = %epoch:%version
%if %mdkversion > 200810
Conflicts: kdebase-common < 1:3.5.9-38
Conflicts: kdebase-progs < 1:3.5.9-38
%endif

%description -n kinfocenter
Kinfocenter is a utility in KDE that provides information
about a computer system.

%files -n kinfocenter
%defattr(-,root,root)
%_kde_bindir/kinfocenter
%_kde_libdir/libkdeinit4_kinfocenter.so
%dir %_kde_appsdir/kinfocenter
%_kde_appsdir/kinfocenter/*
%_kde_appsdir/kcmusb
%_kde_appsdir/kcmview1394
%_kde_libdir/kde4/kcm_info.so
%_kde_libdir/kde4/kcm_opengl.so
%_kde_libdir/kde4/kcm_solidproc.so
%_kde_libdir/kde4/kcm_nic.so
%_kde_libdir/kde4/kcm_usb.so
%_kde_libdir/kde4/kcm_view1394.so
%_kde_libdir/kde4/kcm_ioslaveinfo.so
%_kde_libdir/kde4/kcm_memory.so
%_kde_libdir/kde4/kcm_pci.so
%_kde_libdir/kde4/kcm_samba.so
%_kde_libdir/kde4/kcm_partition.so
%_kde_datadir/applications/kde4/kinfocenter.desktop
%_kde_docdir/*/*/kinfocenter
%_kde_datadir/kde4/services/devices.desktop
%_kde_datadir/kde4/services/dma.desktop
%_kde_datadir/kde4/services/interrupts.desktop
%_kde_datadir/kde4/services/ioports.desktop
%_kde_datadir/kde4/services/kcmusb.desktop
%_kde_datadir/kde4/services/kcmsolidproc.desktop
%_kde_datadir/kde4/services/kcmview1394.desktop
%_kde_datadir/kde4/services/nic.desktop
%_kde_datadir/kde4/services/opengl.desktop
%_kde_datadir/kde4/services/scsi.desktop
%_kde_datadir/kde4/services/sound.desktop
%_kde_datadir/kde4/services/xserver.desktop
%_kde_datadir/kde4/services/ioslaveinfo.desktop
%_kde_datadir/kde4/services/kcm_memory.desktop
%_kde_datadir/kde4/services/kcm_pci.desktop
%_kde_datadir/kde4/services/smbstatus.desktop
%_kde_datadir/kde4/services/kcm_partition.desktop

#-----------------------------------------------------------------------------

%package -n kdepasswd
Summary: Kdepasswd
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Obsoletes: kdebase4-kdepasswd < 1:3.93.0-0.714129.2
Obsoletes: kde4-kdepasswd < 1:4.0.68
Provides: kde4-kdepasswd = %epoch:%version
%if %mdkversion > 200810
Conflicts: kdebase-common < 1:3.5.9-38
Conflicts: kdebase-kdm < 1:3.5.9-38
Conflicts: kdebase-progs < 1:3.5.9-38
%endif

%description -n kdepasswd
User password management

%files -n kdepasswd
%defattr(-,root,root)
%_kde_bindir/kdepasswd
%_kde_libdir/kde4/kcm_useraccount.so
%_kde_datadir/applications/kde4/kdepasswd.desktop
%_kde_datadir/kde4/services/kcm_useraccount.desktop
%_kde_datadir/config.kcfg/kcm_useracc*
%_kde_datadir/apps/kdm/*
%_kde_docdir/*/*/kdepasswd

#-----------------------------------------------------------------------------

%package -n kde4-nsplugins
Summary: Netscape plugins wrapper for kde
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Obsoletes: kdebase4-nsplugins < 1:3.93.0-0.714129.2
%if %mdkversion > 200810
Conflicts: kdebase-nsplugins < 1:3.5.9-38
%endif

%description -n kde4-nsplugins
Netscape plugins wrapper for kde.

%files -n kde4-nsplugins
%defattr(-,root,root)
%_kde_bindir/nspluginscan
%_kde_bindir/nspluginviewer
%_kde_libdir/kde4/libkcminit_nsplugins.so
%_kde_libdir/kde4/libnsplugin.so
%_kde_appsdir/plugin
%_kde_datadir/kde4/services/khtml_plugins.desktop
%_kde_appsdir/webkitpart/kpartplugins/khtmlkttsd.desktop
%_kde_appsdir/webkitpart/kpartplugins/khtmlkttsd.rc
#-----------------------------------------------------------------------------

%package -n kwrite
Summary: Simple text editor for KDE
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Obsoletes: kdebase4-kwrite < 1:3.93.0-0.714129.2
Obsoletes: kde4-kwrite < 1:4.0.68
Provides: kde4-kwrite = %epoch:%version
%if %mdkversion > 200810
Conflicts: kdebase-common < 1:3.5.9-38
Conflicts: kdebase-progs < 1:3.5.9-38
%endif

%description -n kwrite
Simple text editor for KDE

%files -n kwrite
%defattr(-,root,root)
%_kde_bindir/kwrite
%_kde_libdir/libkdeinit4_kwrite.so
%_kde_datadir/applications/kde4/kwrite.desktop
%_kde_appsdir/kwrite
%_kde_docdir/*/*/kwrite

#------------------------------------------------

%define konq_major 5
%define libkonq %mklibname konq %konq_major

%package -n %libkonq
Summary: KDE 4 core library
Group: System/Libraries
Conflicts: konqueror <  1:4.0.82-5

%description -n %libkonq
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkonq -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkonq -p /sbin/ldconfig
%endif

%files -n %libkonq
%defattr(-,root,root)
%_kde_libdir/libkonq.so.%{konq_major}*

#------------------------------------------------

%define konqsidebarplugin_major 4
%define libkonqsidebarplugin %mklibname konqsidebarplugin %konqsidebarplugin_major

%package -n %libkonqsidebarplugin
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}konqsidebarplugin5 < 1:3.93.0-0.714129.2
Obsoletes: %{_lib}kdebase46 <= 1:3.80.3

%description -n %libkonqsidebarplugin
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkonqsidebarplugin -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkonqsidebarplugin -p /sbin/ldconfig
%endif

%files -n %libkonqsidebarplugin
%defattr(-,root,root)
%_kde_libdir/libkonqsidebarplugin.so.%{konqsidebarplugin_major}*

#------------------------------------------------

%define konquerorprivate_major 4
%define libkonquerorprivate %mklibname konquerorprivate %konquerorprivate_major

%package -n %libkonquerorprivate
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}konquerorprivate1 < 1:4.0.83-6

%description -n %libkonquerorprivate
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkonquerorprivate -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkonquerorprivate -p /sbin/ldconfig
%endif

%files -n %libkonquerorprivate
%defattr(-,root,root)
%_kde_libdir/libkonquerorprivate.so.%{konquerorprivate_major}*

#-----------------------------------------------------------------------------

%package -n konqueror
Summary:    KDE file and web browser
Group:      Graphical desktop/KDE
Requires:   kdebase4-runtime
Obsoletes:  kdebase4-konqueror < 1:3.93.0-0.714129.2
Obsoletes: kde4-konqueror < 1:4.0.68
Provides: kde4-konqueror = %epoch:%version
Conflicts: %{libkonq} <  1:4.0.82-5
%if %mdkversion > 200810
Conflicts: kdebase-common < 1:3.5.9-38
Conflicts: kdebase-progs < 1:3.5.9-38
%endif
Suggests:  keditbookmarks

%description -n konqueror
KDE file and web browser

%files -n konqueror
%defattr(-,root,root)
%_kde_bindir/kfmclient
%_kde_bindir/konqueror
%_kde_libdir/kde4/kded_konqy_preloader.so
%_kde_libdir/kde4/kcm_css.so
%_kde_libdir/kde4/kcm_history.so
%_kde_libdir/kde4/kcm_kio.so
%_kde_libdir/kde4/kcm_konq.so
%_kde_libdir/kde4/kcm_konqhtml.so
%_kde_libdir/kde4/kcm_kurifilt.so
%_kde_libdir/kde4/kcm_performance.so
%_kde_libdir/kde4/konq_aboutpage.so
%_kde_libdir/kde4/konq_remoteencoding.so
%_kde_libdir/kde4/konq_shellcmdplugin.so
%_kde_libdir/kde4/konq_sidebar.so
%_kde_libdir/kde4/konq_sidebartree_bookmarks.so
%_kde_libdir/kde4/konq_sidebartree_dirtree.so
%_kde_libdir/kde4/konq_sidebartree_history.so
%_kde_libdir/kde4/konqsidebar_tree.so
%_kde_libdir/kde4/konqsidebar_web.so
%_kde_libdir/kde4/khtmlkttsdplugin.so
%_kde_libdir/libkdeinit4_kfmclient.so
%_kde_libdir/libkdeinit4_konqueror.so
%_kde_libdir/kde4/kded_favicons.so
%_kde_libdir/kde4/konq_sound.so
%_kde_datadir/apps/kcontrol/*
%_kde_datadir/config.kcfg/konqueror*
%_kde_datadir/applications/kde4/Home.desktop
%_kde_datadir/applications/kde4/kfmclient.desktop
%_kde_datadir/applications/kde4/kfmclient_dir.desktop
%_kde_datadir/applications/kde4/kfmclient_html.desktop
%_kde_datadir/applications/kde4/kfmclient_war.desktop
%_kde_datadir/applications/kde4/konqbrowser.desktop
%_kde_datadir/applications/kde4/konquerorsu.desktop
%_kde_appsdir/kcmcss/template.css
%_kde_appsdir/kconf_update/kfmclient_3_2.upd
%_kde_appsdir/kconf_update/kfmclient_3_2_update.sh
%_kde_appsdir/kconf_update/konqsidebartng.upd
%_kde_appsdir/kconf_update/move_konqsidebartng_entries.sh
%_kde_appsdir/kconf_update/socks.upd
%_kde_appsdir/khtml/kpartplugins/khtmlkttsd.desktop
%_kde_appsdir/khtml/kpartplugins/khtmlkttsd.rc
%_kde_appsdir/dolphinpart/kpartplugins/kremoteencodingplugin.desktop
%_kde_appsdir/dolphinpart/kpartplugins/kremoteencodingplugin.rc
%_kde_appsdir/dolphinpart/kpartplugins/kshellcmdplugin.desktop
%_kde_appsdir/dolphinpart/kpartplugins/kshellcmdplugin.rc
%_kde_appsdir/konqsidebartng
%_kde_appsdir/kbookmark/directory_bookmarkbar.desktop
%_kde_appsdir/kconf_update/favicons.upd
%_kde_appsdir/kconf_update/move_favicons.sh
%_kde_datadir/autostart/konqy_preload.desktop
%_kde_datadir/config/konqsidebartng.rc
%_kde_datadir/kde4/services/cache.desktop
%_kde_datadir/kde4/services/cookies.desktop
%_kde_datadir/kde4/services/desktoppath.desktop
%_kde_datadir/kde4/services/ebrowsing.desktop
%_kde_datadir/kde4/services/filebehavior.desktop
%_kde_datadir/kde4/services/filebrowser.desktop
%_kde_datadir/kde4/services/filepreviews.desktop
%_kde_datadir/kde4/services/kcmcss.desktop
%_kde_datadir/kde4/services/kcmhistory.desktop
%_kde_datadir/kde4/services/kcmkonqyperformance.desktop
%_kde_datadir/kde4/services/kcmperformance.desktop
%_kde_datadir/kde4/services/kded/konqy_preloader.desktop
%_kde_datadir/kde4/services/khtml_behavior.desktop
%_kde_datadir/kde4/services/khtml_filter.desktop
%_kde_datadir/kde4/services/khtml_general.desktop
%_kde_datadir/kde4/services/khtml_java_js.desktop
%_kde_datadir/kde4/services/konq_aboutpage.desktop
%_kde_datadir/kde4/services/konq_sidebartng.desktop
%_kde_datadir/kde4/services/konqueror.desktop
%_kde_datadir/kde4/services/lanbrowser.desktop
%_kde_datadir/kde4/services/netpref.desktop
%_kde_datadir/kde4/services/proxy.desktop
%_kde_datadir/kde4/services/smb.desktop
%_kde_datadir/kde4/services/useragent.desktop
%_kde_datadir/kde4/services/useragentstrings
%_kde_datadir/kde4/servicetypes/konqaboutpage.desktop
%_kde_datadir/kde4/servicetypes/uasprovider.desktop
%_kde_datadir/kde4/services/khtml_fonts.desktop
%_kde_appsdir/konqueror
%_kde_iconsdir/*/*/*/konqueror.*
%_kde_docdir/*/*/konqueror
%_kde_datadir/kde4/services/kded/favicons.desktop
%_kde_datadir/kde4/servicetypes/konqpopupmenuplugin.desktop
%_kde_datadir/templates

#-----------------------------------------------------------------------------

%package -n keditbookmarks
Summary: Bookmark editor
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Obsoletes: kdebase4-keditbookmarks < 1:3.93.0-0.714129.2
Obsoletes: kde4-keditbookmarks < 1:4.0.68
Provides: kde4-keditbookmarks = %epoch:%version
%if %mdkversion > 200810
Conflicts: kdebase-common < 1:3.5.9-38
Conflicts: kdebase-progs < 1:3.5.9-38
%endif

%description -n keditbookmarks
Bookmark editor.

%files -n keditbookmarks
%defattr(-,root,root)
%_kde_bindir/kbookmarkmerger
%_kde_bindir/keditbookmarks
%_kde_libdir/libkdeinit4_keditbookmarks.so
%_kde_appsdir/keditbookmarks
%_kde_datadir/config.kcfg/keditbook*

#-----------------------------------------------------------------------------

%package -n kfind
Summary: Application finder
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Obsoletes: kdebase4-kfind < 1:3.93.0-0.714129.2
Obsoletes: kde4-kfind < 1:4.0.68
Provides: kde4-kfind = %epoch:%version
%if %mdkversion > 200810
Conflicts: kdebase-common < 1:3.5.9-38
Conflicts: kdebase-progs < 1:3.5.9-38
%endif

%description -n kfind
Application finder

%files -n kfind
%defattr(-,root,root)
%_kde_bindir/kfind
%_kde_libdir/kde4/libkfindpart.so
%_kde_datadir/applications/kde4/kfind.desktop
%_kde_datadir/kde4/services/kfindpart.desktop
%_kde_datadir/kde4/servicetypes/findpart.desktop
%_kde_iconsdir/*/*/*/kfind.*
%_kde_docdir/*/*/kfind

#-----------------------------------------------------------------------------

%package -n kdialog
Summary: Dialog KDE base widgets
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Obsoletes: kdebase4-kdialog < 1:3.93.0-0.714129.2
Obsoletes: kde4-kdialog < 1:4.0.68
Provides: kde4-kdialog = %epoch:%version
%if %mdkversion > 200810
Conflicts: kdebase-progs < 1:3.5.9-38
%endif

%description -n kdialog
Dialog KDE base widgets

%files -n kdialog
%defattr(-,root,root)
%_kde_bindir/kdialog

#-----------------------------------------------------------------------------

%package -n plasma-applet-folderview
Summary: Plasma folder view applet
Group: Graphical desktop/KDE
Requires: kdebase4-workspace
Provides: plasma-applet
Obsoletes: plasma-applets-folderview

%description -n plasma-applet-folderview
Plasma applet folder view applet.

%files -n plasma-applet-folderview
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_applet_folderview.so
%_kde_datadir/kde4/services/plasma-applet-folderview.desktop

#-----------------------------------------------------------------------------

%package devel
Summary: Devel stuff for kdebase 4
Group: Development/KDE and Qt
Requires: kde4-macros
Requires: kdelibs4-devel
Requires: %libdolphinprivate = %epoch:%version
Requires: %libkonq = %epoch:%version
Requires: %libkonqsidebarplugin = %epoch:%version
Requires: %libkonquerorprivate = %epoch:%version
Requires: kdebase4-workspace-devel
Obsoletes: %{_lib}kdebase46-devel < 1:3.93.0-0.714129.2
Conflicts: kde4-kdialog < 1:4.0.68
Conflicts: kde4-konqueror < 1:4.0.68
Conflicts: kde4-nsplugins < 1:4.0.68
%if %mdkversion > 200810
Conflicts: kdebase3-devel < 1:3.5.9-38
%endif

%description  devel
This package contains header files needed if you wish to build applications
based on kdebase.

%files devel
%defattr(-,root,root)
%_kde_libdir/libdolphinprivate.so
%_kde_libdir/libkonq.so
%_kde_libdir/libkonqsidebarplugin.so
%_kde_libdir/libkonquerorprivate.so
%_kde_includedir/*.h
%_kde_datadir/dbus-1/interfaces/*

#-----------------------------------------------------------------------------

%prep
%setup -q -n kdebase-%version
%patch0 -p0
%patch1 -p1 -b .dnd_fix
%patch2 -p1 -b .sidebar_allow_rename

%patch100 -p1 
%build
%cmake_kde4

%make


%install
rm -fr %buildroot
cd build

make DESTDIR=%buildroot install

# kcalc.svgz crashes kicker
rm -rf %buildroot/%_kde_iconsdir/oxygen/scalable/apps/small/16x16/kcalc.svgz

%clean
rm -fr %buildroot



%changelog
* Sun Sep 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.2-4mdv2009.0
+ Revision: 289072
- fix parsing Konsole command in profiles ( from trunk )

* Sat Sep 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.2-3mdv2009.0
+ Revision: 288958
- [BUGFIX] Allow to rename folder on the sidebar (Bug #43796)

* Fri Sep 26 2008 Daniel Pestana de Gouveia <dpg@mandriva.com.br> 1:4.1.2-2mdv2009.0
+ Revision: 288662
- Fix drag-and-dropping files to the sidebar in Konqueror (#44095)

* Fri Sep 26 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.2-1mdv2009.0
+ Revision: 288331
- KDE 4.1.2 arriving.

* Thu Sep 18 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.1-5mdv2009.0
+ Revision: 285652
- Post 4.1.1 branch past - konqueror masking ssl connections in listbox

* Wed Sep 17 2008 Michael Scherer <misc@mandriva.org> 1:4.1.1-4mdv2009.0
+ Revision: 285421
- enhance konsole, kappfinder and konqueror summary
- automated end of line fix ( vim macro that remove whitespace at the end )
- fix Summary of kwrite and dolphin, fix #42918 and #42919, dolphin desc take from the old contrib package

* Fri Sep 12 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.1-3mdv2009.0
+ Revision: 284172
- kdecore already requests a phonon backend, so we should not requires here

* Thu Sep 04 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.1-2mdv2009.0
+ Revision: 280648
- Convenience requires

* Fri Aug 29 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.1-1mdv2009.0
+ Revision: 277483
- Upgrade to forthcoming 4.1.1 packages
- Prepare for 4.1.1. Added requires for misc-misc improving konsole font

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add kfind as require of dolphin

* Sun Aug 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.0-4mdv2009.0
+ Revision: 273110
- Move kcm_filetypes in dolphin

* Mon Aug 04 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-3mdv2009.0
+ Revision: 263380
- Update with current branch 4.1 patches
- Update with current branch 4.1 patches

* Mon Jul 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-2mdv2009.0
+ Revision: 251559
- We should not requires pieces of kdeplasma-addons

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Requires

* Fri Jul 25 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-1mdv2009.0
+ Revision: 247543
- Update with Release Candidate 1 - 4.1.0

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add keditbookmarks as a suggest of Konqueror

* Fri Jul 11 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.98-2mdv2009.0
+ Revision: 233636
- Update with Release Candidate 1 - 4.0.98

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix dolphin menu location

* Mon Jul 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.85-1mdv2009.0
+ Revision: 232351
- Update to kde 4.0.85
- Move dolphin on the office section (menu cleaning task)

* Thu Jul 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.84-3mdv2009.0
+ Revision: 231402
- Add patch0 : Do not show kappfinder on tthe menu

* Wed Jul 02 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.84-2mdv2009.0
+ Revision: 230824
- recompile against plasma applet changes

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.84-1mdv2009.0
+ Revision: 229402
- Update with new snapshot tarballs 4.0.84

  + Anssi Hannula <anssi@mandriva.org>
    - fix wrong major in libkonquerorprivate and libdolphinprivate
    - ensure major correctness in file lists
    - add another conflict for smooth upgrade

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.83-5mdv2009.0
+ Revision: 226121
- Update with new snapshot tarballs 4.0.83
- Fix packaging bug found by anssi on libkonq
- Obsoletes 4.0.3 packages released before

  + Anssi Hannula <anssi@mandriva.org>
    - add more conflicts for smooth upgrade

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.82-3mdv2009.0
+ Revision: 218616
- Fixed name os applet to match other ones in kdeplasma

* Thu Jun 12 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.82-2mdv2009.0
+ Revision: 218587
- Fix Requires on plasma-applets-folderview

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.82-1mdv2009.0
+ Revision: 218482
- And now we reach a proper nomenclature for plasma items arriving
- Update with new snapshot tarballs 4.0.82

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.81-2mdv2009.0
+ Revision: 214855
- Update with new snapshot tarballs 4.0.81

* Fri May 30 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.81-1mdv2009.0
+ Revision: 213313
- New snapshot 4.0.81

* Sat May 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.80-1mdv2009.0
+ Revision: 210924
- Own %%_kde_appsdir/plugin
- Remove unneeded Buildrequires
- Rebuild against new soprano

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 beta1

* Sat May 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.74-3mdv2009.0
+ Revision: 208373
- Rebuild because of BS failure
- Versionate BuildRequires
- Rebuild against new kdepimlibs4

  + Funda Wang <fundawang@mandriva.org>
    - New version 4.0.74

* Wed May 14 2008 Anssi Hannula <anssi@mandriva.org> 1:4.0.73-4mdv2009.0
+ Revision: 207347
- add another conflict with old kde3 for smooth upgrade

* Thu May 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.73-3mdv2009.0
+ Revision: 204709
- Update to kde 4.0.73

* Wed May 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.72-3mdv2009.0
+ Revision: 203292
- Fix conflicts against old kde3

* Tue May 06 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.72-2mdv2009.0
+ Revision: 202261
- No need conflicts with nsplugin from kdebase4 for now

* Tue May 06 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.72-1mdv2009.0
+ Revision: 202052
- Fix BuildRequires
- Update to kde 4.0.72
- Fix file list
- New snapshot 4.0.70
- New snapshot 4.0.69

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1
    - Starting to push new infrastructure for devel KDE 4.1. KDE 4 will be on / now. KDE is dead. Long live KDE vi kdenetwork4/SPECS/kdenetwork4.spec ;-)

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.3-1mdv2008.1
+ Revision: 190991
- Update for last stable release 4.0.3

* Mon Mar 10 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-4mdv2008.1
+ Revision: 183935
- Backport 2 patches of kde 4.0.3
  	* Fix size in dolphin
  	* Fix crash in dolphin

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-3mdv2008.1
+ Revision: 182139
- Rebuild against new qt4 changes

* Sun Mar 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-2mdv2008.1
+ Revision: 177691
- Fix conflict with kde4-kinfocenter (part 2)

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.2-1mdv2008.1
+ Revision: 177439
- New upstream bugfix release 4.0.2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add ifdef statement to allow backports again

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized
    - fix description-line-too-long

* Sun Feb 10 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.1-1mdv2008.1
+ Revision: 164770
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE Team

* Sun Jan 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-1.765555.2mdv2008.1
+ Revision: 158702
- Rebuild because of missing signatures

* Thu Jan 24 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.0-1.765555.1mdv2008.1
+ Revision: 157668
- Update for current 4.0 branch

* Tue Jan 08 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.0-1mdv2008.1
+ Revision: 146492
- Updated to official 4.0.0
- Added xine-devel >= 1.1.9 as build requires

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-2.752228.1mdv2008.1
+ Revision: 137367
- New snapshot
- Clean %%doc

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fixed wrong excludes

* Thu Dec 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-2mdv2008.1
+ Revision: 119572
- Fix Kinfocenter file list

* Mon Dec 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-1mdv2008.1
+ Revision: 117068
- New Snapshot
  Kinfocenter is now on kdebase4 instead of kdebase4-runtime

  + Helio Chissini de Castro <helio@mandriva.com>
    - Updating to official kdebase 3.97.0
    - kdebase 4 now contains only apps part from kde 4 kdebase. The other parts are in kdebase4 runtime and workspace

* Thu Dec 06 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.0-0.745416.1mdv2008.1
+ Revision: 115857
- KDE 4 Rc 2

* Sun Dec 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.743949.1mdv2008.1
+ Revision: 114413
- New Snapshot
  (Icons on the systray are now transparent )

* Thu Nov 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.743105.1mdv2008.1
+ Revision: 113985
- New snapshot

* Wed Nov 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.742711.1mdv2008.1
+ Revision: 113761
- New snapshot

* Mon Nov 26 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.741587.1mdv2008.1
+ Revision: 112014
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

* Thu Nov 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.740034.1mdv2008.1
+ Revision: 111252
- New snapshot
  Add libkonquerorprivate package

* Fri Nov 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.0-0.737290.1mdv2008.1
+ Revision: 109015
- KDE 4 RC1

* Sun Nov 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.95.2-0.734846.1mdv2008.1
+ Revision: 107491
- New snapshot ( say hello back to nepomuk )

* Thu Nov 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.95.1-0.731791.1mdv2008.1
+ Revision: 104759
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.1-0.730896.1mdv2008.1
+ Revision: 103760
- Fix File list
- New snapshot

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.1-0.729034.1mdv2008.1
+ Revision: 102035
- New snapshot

* Wed Oct 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.1-0.728613.1mdv2008.1
+ Revision: 101690
- Try to completly fix conflicts
- Fix File list
- New snapshot
- New svn snapshot
- Fix conflicts
- Fix conflicts
- Fix file list
- Remove icons as kicker is dead

* Sun Oct 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-0.727635.1mdv2008.1
+ Revision: 100859
- New svn  snapshot

* Thu Oct 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-0.726654.2mdv2008.1
+ Revision: 100005
- Fix File list

* Thu Oct 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-0.726385.1mdv2008.1
+ Revision: 99883
- Kde 4 Beta 3

* Wed Oct 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.93.0-0.726042.1mdv2008.1
+ Revision: 99520
- Fix File list
- New svn snapshot

* Thu Oct 04 2007 Tiago Salem <salem@mandriva.com.br> 1:3.93.0-0.714129.4mdv2008.0
+ Revision: 95494
- Removing kcalc.svgz to avoid kicker crashes
- Bump release

* Thu Sep 27 2007 Tiago Salem <salem@mandriva.com.br> 1:3.93.0-0.714129.3mdv2008.0
+ Revision: 93395
- Bumping release
- Fixing kmenu icon file
- Removing mdv2008.0 from Obsoletes tags.

* Thu Sep 20 2007 Tiago Salem <salem@mandriva.com.br> 1:3.93.0-0.714129.2mdv2008.0
+ Revision: 91247
- Making Obsoletes tags versioned

* Mon Sep 17 2007 Anssi Hannula <anssi@mandriva.org> 1:3.93.0-0.712549.2mdv2008.0
+ Revision: 89315
- obsolete libkdebase46-devel instead of libkdebase4-devel (fixes #31484)

* Fri Sep 14 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.93.0-0.712549.1mdv2008.0
+ Revision: 85759
- Update with revision 712549
- Invalid source
- Update with revision 708844

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add missing conflicts

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.93.0-0.708282.1mdv2008.0
+ Revision: 79237
- Update with revision 708282
- Update with revision 708142

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.706306.1mdv2008.0
+ Revision: 75070
- Update with revision 706306

* Tue Aug 28 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.705487.2mdv2008.0
+ Revision: 72365
- Update with revision 705487
- Update with revision 704399
- Update with revision 702959
- Update to revision 700912

* Thu Aug 02 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.695685.1mdv2008.0
+ Revision: 58317
- Update for revision 695685
- Update for revision 695647

* Fri Jul 27 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92-0.693361.2mdv2008.0
+ Revision: 56445
- Update to revision 693361
- Disable klipper start for a while
- Using new simplified build
- Update for revision 690341

* Wed Jul 18 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.91-0.689200.2mdv2008.0
+ Revision: 53295
- Better add an svg image than a shell script...

* Wed Jul 18 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.91-0.689200.1mdv2008.0
+ Revision: 53162
- Fix soname now in kdebase
- Update with revision 689200
- Fixed file list
- Fix plasma wallpaper ( hope so )
- Update to revision 688743

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 1:3.91-0.686880.3mdv2008.0
+ Revision: 52444
- require xmessage in the workspace package, it is used in startkde

* Sat Jul 14 2007 Olivier Blin <oblin@mandriva.com> 1:3.91-0.686880.2mdv2008.0
+ Revision: 51904
- require xprop and xset in the workspace package, they are used in startkde

* Thu Jul 12 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.91-0.686880.1mdv2008.0
+ Revision: 51575
- Fix Mandriva background wallpaper
- Update for revision 686880

* Wed Jul 11 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.91-0.686593.1mdv2008.0
+ Revision: 51431
- Update for match new kdelibs
- Update with revision 683926

* Wed Jul 04 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.91-0.682706.1mdv2008.0
+ Revision: 47973
- Fix Conflicts
- New snapshot after monday BIC

* Tue Jul 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.91-0.682449.1mdv2008.0
+ Revision: 47387
- Put them on the right place
- New snapshot

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fix file list
    - Update from svn pos 3.91
    - New svn snapshot with more dolphin fixes
    - Update from svn

* Tue Jun 26 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.680516mdv2008.0
+ Revision: 44518
- Finally a working build of current svn. Kdesktop is about to die.
- Revision 680516
- Update for svn revision 678468

* Tue Jun 19 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.677668mdv2008.0
+ Revision: 41649
- Added nepomuk start/stop scripts on env/shutdown. Is not perfect yet but will help Sebastian to
  demonstrate nepomuk on akademy
- Updated to lates branch. Preview back to work

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group

* Mon Jun 18 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.677187mdv2008.0
+ Revision: 41115
- Make dm session works. Previous startkde patch was broken
- Remove dups in file list
- Now we have some background :-)

* Sun Jun 17 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.676742mdv2008.0
+ Revision: 40552
- Added startup by command line. Just need type kde4
- Added env for running kde4 apps. Now just need type kde4env
- Fixed dm entry
- New svn update. Oxygen kwin avaiable

* Sat Jun 16 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.676117mdv2008.0
+ Revision: 40370
- New revision from svn
- New kdebase 4 package

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix File list
    - New svn snapshot

* Wed May 09 2007 Laurent Montel <lmontel@mandriva.org> 1:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25645
- Update release
- new snapshot
- It's possible to compile with enable final

* Wed May 02 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.6mdv2008.0
+ Revision: 20514
- new snapshot
- new snapshot


* Sat Apr 07 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070406.6mdv2007.1
+ Revision: 150902
- new snapshot
- Update
- new snapshot
- Add buildrequires
  Cleanup
- new snapshot

* Thu Mar 01 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.3-0.20070228.6mdv2007.1
+ Revision: 130607
- Kate is moved into kdesdk
- Fix spec file
- Fix
- new snapshot
- 3.80.3
- fix spec file
- Forgot to commit it previously
- new snapshot
- new snapshot
- Fix spec file
- Bye bye mandrake-mime
- Not necessary for the moment
- Fix error
- new snapshot
- Add missing sources
- new snapshot
- Port Mandriva splashscreen to kde4

* Wed Jan 17 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070117.2mdv2007.1
+ Revision: 109760
- Update

* Tue Jan 09 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.1mdv2007.1
+ Revision: 106367
- Update
- Create session-plugins for allow to install kdm
  without kdebase
- Clean up
- Change name for session

* Wed Jan 03 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 103562
- Fix spec file
- Fix spec files
- new update
- Byebye menu

* Fri Dec 29 2006 Laurent Montel <lmontel@mandriva.com> 1:3.80-8mdv2007.1
+ Revision: 102493
- Add buildrequires
- fix conflict
- Import kdebase4

* Fri Dec 01 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-9mdv2007.0
- First package

